.int-product-main#content{
    display: flex;
    gap: 20px;
    width: 100%;
    margin-top: 50px;
    margin-bottom: 100px;
    min-height: unset;
}
.int-product-main > div{
    width: 50%;
    display: flex;
    flex-direction: column;
}
.int-product-main .int-product-title-wrapper{
    position: relative;
    padding-right: 40px;
    margin-bottom: 24px;
    display: flex;
    width: 100%;
}
.int-product-main h1{
    text-transform: uppercase;
    font-family: 'Inter', sans-serif;
    font-size: 28px;
    font-weight: 400;
    margin: 0;
}
.int-product-main .int-product-title-wrapper .int-product-compare-btn{
    top: 0;
    right: 0;
}

.int-product-attr-grid{
    display: grid;
    width: 100%;
    gap: 16px;
    grid-template-areas:    'a b'
                            'c c';
    grid-template-columns: 1fr 1fr;
}
.int-grid-tablet-placeholder{
    display: flex;
    flex-direction: column;
}
.int-grid-tablet-placeholder .int-separator{
    display: none;
    margin-bottom: 30px;
}
.int-product-attr-grid-left{ grid-area: a;}
.int-product-attr-grid-right{ grid-area: b;}
.int-product-attr-grid-bottom{ grid-area: c;}

.int-product-attributes{
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.int-product-attribute{
    display: flex;
    flex-direction: column;
    gap: 2px;
    font-size: 16px;
    font-family: 'Roboto Flex';
}
.int-product-attribute span{
    font-weight: 400;
    color: var(--cl-brown-light);
}
.int-product-attribute b{
    text-transform: uppercase;
    font-weight: 500;
    color: var(--cl-brown);
}
.int-product-attribute-progress{
    display: flex;
    gap: 4px;
    align-items: center;
    width: 100%;
    margin-top: 8px;
    margin-bottom: 8px;
    max-width: 190px;
}
.int-product-attribute-bar{
    border-radius: 3px;
    width: 100%;
    height: 6px;
    background-color: #D1CFCD;
}
.int-product-attribute-bar.filled{
    background-color: var(--cl-brown);
}
.int-mobile-only-separator{ display: none; }

.int-rating-top{
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
}
.int-rating-top > p{
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 10px;
    color: var(--cl-brown);
}
.int-rating-top > div{
    display: flex; 
    justify-content: space-between;
}
.int-rating-stars img{
    height: 20px;
    width: 20px;
}
.int-rating-stars{
    display: flex; 
    gap: 4px;
}
.int-rating-rating{
    margin-left: 10px;
    line-height: 22px;
}
.int-rating-rating span{
    font-size: 16px;
    font-weight: 400;
}
.int-rating-rating b{
    font-size: 22px;
    font-weight: 600;
}

.int-product-details-popup-btn{
    background: none;
    outline: none;
    border: none;
    padding: 0;
    display: flex;
    gap: 10px;
    align-items: center;
    font-size: 16px;
    color: var(--cl-accent);
    font-weight: 500;
    text-decoration: underline;
    text-underline-offset: 2px;
}

.int-rating-bottom{
    display: flex;    
    flex-direction: column;
    gap: 16px;
}
.int-rating-bar-wrap{
    display: flex; 
    gap: 16px;
    align-items: center;
    justify-content: stretch;
    width: 100%;
}
.int-rating-bar-wrap span{
    font-size: 16px;
}
.int-rating-bar-wrap .int-rating-bar{
    position: relative;
    height: 4px;
    border-radius: 2px;
    background-color: #DBE3E8;
    width: 100%;
}
.int-rating-bar-wrap .int-rating-bar-progress{
    position: absolute;
    top: 0;
    left: 0;
    height: 4px;
    border-radius: 2px;
    background-color: var(--cl-accent);
}

.int-product-stats{
    display: flex;
    flex-direction: column;
}
.int-product-stat{
    font-size: 16px;
    font-weight: 400;
    color: var(--cl-brown);
    line-height: 1.3;
    text-align: center;
    width: 100%;
    margin-top: 16px;
    margin-bottom: 16px;
}
.int-product-stat-title{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    font-weight: 400;
    color: var(--cl-brown);
    border: 1px dashed var(--cl-light);
    background-color: #BDCCD41F;
    border-radius: 6px;
    min-height: 34px;
}

.int-product-left-gallery{
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: start;
    margin-bottom: 30px;
}
.int-product-left-mob-gallery{
    border-radius: 16px;
    display: none;
    overflow: hidden;
    width: 100%;
}
.int-product-left-mob-gallery .swiper-slide{
    min-width: 1px;
    border-radius: 16px;
    overflow: hidden;
    display: flex; 
    justify-content: center;
    align-items: center;
    height: 100%;
}

.int-product-left-mob-gallery .swiper-slide img{
    height: 100%;
    width: 100%; 
}
.product-gallery-mob-pagination{ position: static; } 
.product-gallery-mob-pagination .swiper-pagination-bullet{
    margin-top: 10px !important;
    margin-bottom: 10px !important;
}

.int-product-gallery-thumb-button{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 30px;
    background-color: var(--cl-surface);
    border: none;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: start;
    cursor: pointer;
    z-index: 5; 
}
.int-product-gallery-thumb-button.next{
    top: auto;
    bottom: 0;
    align-items: end;
}
.int-product-left-gallery-images{
    position: relative;
    aspect-ratio: 1/1;
    width: 100%;
    max-width: 400px;
    overflow: hidden;
    border-radius: 16px;
}
.int-product-left-gallery-images .int-product-gallery-image{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}
.int-product-left-gallery-images .int-product-gallery-image img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}
.int-product-left-gallery-thumbs-wrap{
    height: 380px;
    position: relative;
}
#product-gallery-thumbs{
    height: 100%;
    width: 100px;
    overflow: hidden;
    padding: 30px 0;
}
.int-product-gallery-thumb{
    border-radius: 16px;
    overflow: hidden;
    height: 100px;
    width: 100px;
    display: flex;
    padding: 0;
    justify-content: center;
    align-items: center;
    background: none;
    outline: none;
    border: 1px solid transparent;
    transition: border-color 300ms ease-in-out;
}
.int-product-gallery-thumb.active{
    border-color: var(--cl-light);
}
.int-product-gallery-thumb img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.int-product-right-info p{ 
    margin-bottom: 16px; 
    font-size: 16px;
    color: #948F87;
}
.int-product-right-infno a{
    color: var(--cl-brown);
}
.int-product-right-info p b{ 
    margin-left: 10px; 
    color: var(--cl-brown);
}
.int-popup-window-product .int-popup-window-product-options-title{
    font-size: 16px;
    font-weight: 500;
}
.int-popup-window-product .int-btn-pill{
    max-width: unset;
    width: auto;
}

.int-product-right-options-group{
    margin-top: 8px;
    margin-bottom: 36px;
    display: flex;
    flex-direction: column;
}
.int-product-right-options-title{
    font-size: 16px;
    margin-bottom: 10px;
}
.int-product-right-options-title:not(:first-of-type){
    margin-top: 10px;
}
.int-product-right-price-group{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 36px;
}
.int-product-right-price-group .int-btn.btn_notify{
    display: flex;
    align-items: center;
    justify-content: center;
    outline: none !important;
    box-shadow: none !important;
}
.int-product-right-price-group .int-btn.btn_notify:hover{
    background-color: var(--cl-semi-light) !important;
    border-color: transparent !important;
    color: var(--cl-brown) !important;

}
.int-product-right-price-group .int-btn.btn_notify:focus,
.int-product-right-price-group .int-btn.btn_notify:active{
    background: none !important; 
    border-color: var(--cl-light) !important;
    color: var(--cl-brown) !important;
}
.int-product-right-price-group .int-btn,
.int-product-right-price-group .int-btn:active,
.int-product-right-price-group .int-btn:focus{
    height: 50px;
    border-radius: 16px;
    padding: 12px 16px;
    font-size: 16px;
    font-weight: 600;
    text-shadow: none;
    background: none;
}
.int-product-right-price-group .int-btn:hover{
    color: inherit;
}
.int-product-right-price-group .int-product-price{
    font-size: 22px;
    color: var(--cl-brown-light);
    font-weight: 600;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.int-product-price .int-product-price-old{
    color: var(--cl-brown-light);
    text-decoration: line-through; 
    font-weight: 400;
}
.int-product-price .int-product-price-new{
    color: var(--cl-accent);
}
.int-product-right-price-group .int-is-in-stock .int-product-price{
    color: var(--cl-brown);
}
.int-product-right-price-group .int-product-card-cart-btn{
    height: 50px;
    width: 56px;
    order: 100;
}
.int-product-right-price-group .int-product-card-wishlist-btn{
    padding-right: 0;
    padding-left: 0;
}
.int-product-right-price-group-right{
    display: flex;
    gap: 20px;
    align-items: center;
}
.int-product-right-value-group:not(:last-child){
    margin-bottom: 16px;
}
.int-product-right-value-group{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.int-product-right-value-group label{ margin-bottom: 0; }
.int-product-right-value-group .int-btn-pill{ 
    width: auto; 
    font-size: 16px;
}

.int-product-right-details{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 20px;
}

#reviews{
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.int-review-body{
    font-size: 16px;
    display: flex; 
    flex-direction: column;
    gap: 10px;
}
.int-review-text{
    width: 100%;
    max-width: 100%;
    overflow: hidden;
    overflow-wrap: break-word;
    hyphens: auto;
}
.int-review-title{
    width: 100%;
    display: flex;
    align-items: center;
}
.int-review-title > b{
    font-weight: 600;
    margin-right: 10px;
    color: var(--cl-brown);
}
.int-review-title > span{
    color: var(--cl-brown-light);
}
.int-review-title-stars{
    margin-left: auto;
    display: flex;
    align-items: center;
    gap: 3px;
}
.int-review-title-stars > span{
    margin-left: 8px;
    font-weight: 700;
}

.int-product-right-details .int-product-details-droplist-title{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    font-size: 16px;
    font-weight: 700;
    padding: 10px 0;
    background: none;
    border: none;
    outline: none;
    color: var(--cl-brown);
}
.int-product-details-droplist-content{
    padding-top: 10px;
    max-width: 100%;
    overflow: hidden;
    overflow-y: auto;
    max-height: 400px;
    padding-right: 10px;
}
.int-product-review-counter{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    font-weight: 600;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    background-color: var(--cl-light);
    margin: -5px auto -5px 6px;
}
.int-product-right-details .int-product-details-droplist-title img{
    transition: rotate 300ms ease-in-out;
}
.int-product-right-details .opened .int-product-details-droplist-title img{
    rotate: 180deg;
}


.int-popup-window-review-stars{
    display: flex;
    margin: 0 auto;
    gap: 3px;
    align-items: center;
    margin-bottom: 14px;
    justify-content: center;
}
.int-popup-window-product{
    display: grid;
    grid-template-areas:"a b"
                        "c c";
    grid-template-columns: 140px 1fr;
    gap: 16px;
}
.int-popup-window-product-left{
    width: 140px;
    grid-area: a;
}
.int-popup-window-product-left img{
    border-radius: 16px;
    overflow: hidden;
    object-fit: cover;
    object-position: center;
}
.int-popup-window-product-right{
    display: flex;
    gap: 16px;
    align-items: start;
    flex-direction: column;
    margin-top: 10px;
    width: 100%;
    grid-area: b;
}
.int-popup-window-product-options-group{
    display: flex; 
    flex-direction: column;
    gap: 16px;
    grid-area: c;
}
.int-popup-window-product-value-group{
    display: flex; 
    gap: 10px;
    flex-wrap: wrap;
}
.int-popup-window-product-right a{
    font-size: 16px;
    width: 100%;
}
.int-popup-window-product-price-group{
    width: 100%;
    display: flex;
    align-items: center;
}
.int-popup-window-product-price-group .int-product-price{
    margin-left: auto;
    margin-bottom: 0;
    font-size: 22px;
    font-weight: 600;
    display: flex;
    flex-direction: column;
}

#popup-review textarea,
#popup-oneclick textarea{ max-height: 100px; }
#popup-review .int-btn-secondary,
#popup-notify .int-btn-secondary{
    max-width: 340px;
    width: 100%;
    margin: 25px auto 0; 
}
#popup-oneclick .int-popup-window-content{
    max-width: min(996px, calc(100% - 30px));
}
#popup-oneclick form{
    display: grid;
    gap: 30px 60px;
    grid-template-areas:"a b"
                        "d d"
                        "c c";
}
#popup-oneclick form > div{
    width: 100%;
}
#popup-oneclick form > .int-separator{
    grid-area: d;
}
#popup-oneclick form > .int-popup-window-product{
    grid-area: a;
}
#popup-oneclick form > .int-btn-secondary{
    grid-area: c;
    margin-top: 0;
}
#popup-oneclick form > .popup-oneclick-form-body{
    display: flex;
    flex-direction: column;
    gap: 16px;
    grid-area: b;
}
#popup-oneclick .int-popup-window-content{
    padding-bottom: 0;
}
#popup-oneclick.int-popup-window #popup-quickorder .popup-footer{
    padding-bottom: 20px;
}

#popup-review form,
#popup-notify form{
    align-items: center;
}
#popup-review .int-input,
#popup-notify .int-input{
    max-width: 340px;
    width: 100%;
}
#popup-oneclick .int-btn-secondary{ 
    max-width: 340px;
    width: 100%;
    margin: 15px auto 0; 
}
#popup-review .int-popup-window-review-stars{
    width: 100%;
}
#popup-review .int-popup-window-review-stars span{
    font-size: 16px;
    margin-right: auto;
}

#popup-showrel .int-btn{
    height: 50px;
    align-self: center;
    padding-left: 16px;
    padding-right: 16px;
    border-radius: 16px;
}

.int-popup-window-review-stars img{
    height: 40px;
    width: 40px;
}
.int-product-related-slider .int-decorated-title{
    margin-top: 0;
}
/* .int-product-related-slider .int-home-swiper::after{ right: -15px; }
.int-product-related-slider .int-home-swiper::before{ left: -15px; } */
.int-product-related-slider .swiper-pagination{ position: static; }
.int-product-related-slider .swiper-pagination .swiper-pagination-bullet{ margin-top: 40px; }
.int-product-related-slider.int-home-block .int-home-swiper{
    overflow: hidden;
    padding-left: 12px;
    padding-right: 12px;
    margin-left: -12px;
    margin-right: -12px;
}
.int-product-related-inner{
    margin: 0 -25px;
    padding: 0 25px; 
    overflow: hidden;
}
.int-product-related-slider .int-home-swiper::before{ left: -14px; }
.int-product-related-slider .int-home-swiper::after{ right: -14px;}
.int-product-related-slider.int-home-block{ 
    margin-bottom: 70px; 
}
.int-product-related-slider.wrap .int-home-swiper{ padding-bottom: 30px; }

.int-product-related-slider .swiper-pager .swiper-button-prev,
.int-product-related-slider .swiper-pager .swiper-button-next{
    z-index: 1005;
}
.int-product-related-slider .swiper-pager{
    z-index: 1005;
    position: absolute;
    width: 100%;
    top: calc(50% - 40px);
    left: 50%;
    transform: translate(-50%, -50%);
}
.int-product-related-slider .swiper-pager .swiper-button-prev{
    left: -25px;
}
.int-product-related-slider .swiper-pager .swiper-button-next{
    right: -25px;
}

.int-product-right-not-in-stock{
    color: #948F87;
    width: 55px;
    line-height: 1.2;
}

@media (max-width: 1299px) {
    .int-product-related-inner{
        margin: 0 -15px;
        padding: 0 15px; 
    }
}
@media (max-width: 1199px) {
    .int-product-right-value-group .int-btn-pill{ padding: 10px 13px; }
    #popup-oneclick form{
        display: flex;
        flex-direction: column;
        gap: 20px; 
    }
    .int-product-left #attr-grid{ display: none; }
    .int-product-left-gallery-images{ max-width: 80vh; }
    .int-product-main{ 
        flex-direction: column; 
        margin-top: 40px;
    }
    .int-product-main > div{ width: 100%; }
    .int-product-left-gallery{ 
        justify-content: center; 
        margin-bottom: 20px;
    }
    .int-product-main h1{
        font-size: 26px;
    }
    .int-product-right-info p{
        margin-bottom: 10px;
    }
    .int-product-right-price-group{
        margin-bottom: 30px;
    }
    .int-product-related-slider.int-home-block{ margin-bottom: 50px; }
    .int-product-related-slider.wrap .int-home-swiper{ padding-bottom: 30px; }
    .int-product-main{
        margin-bottom: 80px;
    }
    .int-grid-tablet-placeholder .int-separator{display: block;}
    .int-product-main#content{
        margin-top: 40px;
    }
    .int-product-attr-grid{
        padding-bottom: 20px;
    }
    .int-product-main#content{
        margin-bottom: 80px;
    }
    .int-product-right-options-group{
        margin-bottom: 24px;
    }
    .int-product-right-value-group:not(:last-child){
        margin-bottom: 16px;
    }
    .int-product-right-price-group .int-btn.btn_notify{
        padding-top: 0;
        padding-bottom: 0;
    }
    .int-product-related-slider .swiper-pagination .swiper-pagination-bullet{ margin-top: 30px; }
}

@media (max-width: 767px) {
    .int-product-right-value-group .int-btn-pill{ padding: 10px 13px; }
    .int-mobile-only-separator{ display: block; }
    .int-product-right-price-group-right{
        gap: 16px;
        justify-content: space-between;
    }
    .int-product-right-price-group .int-product-card-wishlist-btn {
        margin-right: auto;
    }
    .int-product-right-price-group{
        flex-direction: column;
        gap: 16px;
        align-items: stretch;
        width: 100%;
    }
    .int-product-left-gallery{
        display: none;
    }
    .int-product-left-mob-gallery{
        display: block;
    }
    .int-product-main h1{
        font-size: 18px;
        margin-bottom: 16px;
    }
    .int-product-right-price-group .int-product-card-cart-btn{
        height: 44px;
        width: 44px;
        border-radius: 10px;
    }
    .int-product-right-price-group .int-btn:hover,
    .int-product-right-price-group .int-btn:active,
    .int-product-right-price-group .int-btn{
        white-space: nowrap;
        height: 44px;
        font-size: 14px;
        border-radius: 10px;
    }
    .int-product-main#content{
        margin-top: 24px;
    }
    .int-grid-tablet-placeholder .int-separator{
        margin-bottom: 24px;
    }
    .int-popup-window-product{
        margin: 8px 0;
    }
    .int-popup-window-product-left{
        width: 100px;
    }
    .int-popup-window-product-left img{
        width: 100px;
        height: 100px;
    }
    #popup-review .int-btn-secondary, #popup-notify .int-btn-secondary{
        margin-top: 15px;
    }
    .int-product-main .int-product-title-wrapper .int-product-compare-btn{
        top: -5px;
    }
    .int-product-main#content{
        margin-bottom: 60px;
    }
    .int-product-right-options-group{
        margin-bottom: 20px;
    }
    .int-product-right-value-group:not(:last-child){
        margin-bottom: 20px;
    }
    .int-product-right-price-group{
        margin-bottom: 20px;
        margin-top: 20px;
    }
    .int-product-related-slider.int-home-block{ margin-bottom: 20px; }
    .int-product-attr-grid{
        display: flex;
        flex-direction: column;
    }
}